# Pendulum CNT91 frequency counter

class pymeasure.instruments.pendulum.cnt91.CNT91(adapter, name='Pendulum CNT-91', **kwargs)

  Bases: `SCPIUnknownMixin`, `Instrument`

  Represents a Pendulum CNT-91 frequency counter.

  property batch_size

    Get maximum number of buffer entries that can be transmitted at once.

  buffer_frequency_time_series(channel, n_samples, sample_rate=None, gate_time=None, trigger_source=None, back_to_back=True)

    Record a time series to the buffer and read it out after completion.

    Parameters:

      - channel – Channel that should be used

      - n_samples – The number of samples

      - gate_time – Gate time in s

      - trigger_source – Optionally specify a trigger source to start the measurement

      - back_to_back – If True, the buffer measurement is performed back-to-back.

      - sample_rate –

        Sample rate in Hz

        Deprecated since version 0.14: Use parameter gate_time instead.

  configure_frequency_array_measurement(n_samples, channel, back_to_back=True)

    Configure the counter for an array of measurements.

    Parameters:

      - n_samples – The number of samples

      - channel – Measurement channel (A, B, C, E, INTREF)

      - back_to_back – If True, the buffer measurement is performed back-to-back.

  property continuous

    Control whether to perform continuous measurements.

  property external_arming_start_slope

    Control slope for the start arming condition (str ‘POS’ or ‘NEG’).

  property external_start_arming_source

    Control external arming source (‘A’, ‘B’, ‘E’ (rear) or ‘IMM’ for immediately arming).

  property format

    Control response format (‘ASCII’ or ‘REAL’).

  property gate_time

    Control gate time of one measurement in s (float strictly from 2e-8 to 1000).

  property interpolator_autocalibrated

    Control if interpolators should be calibrated automatically (bool).

  property measurement_time

    Control gate time of one measurement in s (float strictly from 2e-8 to 1000).

    Deprecated since version 0.14: Use gate_time instead.

  read_buffer(n=10000)

    Read out n samples from the buffer.

    Parameters:

      n – Number of samples that should be read from the buffer. The maximum number of 10000 samples is read out by default.

    Returns:

      Frequency values from the buffer.